5 Replies Latest reply: Feb 24, 2011 11:13 AM by mikereiche RSS

    Attempt to upgrade an ODSIapp from 8.1 to 10.3, but encounter fatal error

    user738507
      Hi,

      Attempting to upgrade app from 8.1 to 10.3, but encounter fatal error (as below) which prevents the upgrade from completing --

      ERROR: Exception caught during upgrade of "atk_webapp"Exception caught during upgrade of "atk_webapp"
      java.lang.NullPointerException at com.bea.dsp.ide.upgrade.util.UpgradeHelper.deleteNonImportedDSPJarFolders(UpgradeHelper.java:738) at com.bea.dsp.ide.upgrade.appln.DSPAppLevelUpgrader.check(DSPAppLevelUpgrader.java:38) at com.bea.workshop.upgrade81.wizard.UpgradeWizardContext$ProjectUpgradeRequest.performUpgradeReport(UpgradeWizardContext.java:908) at com.bea.workshop.upgrade81.wizard.UpgradeWizardContext$UpgradeReportTask.run(UpgradeWizardContext.java:1474) at com.bea.workshop.upgrade81.wizard.UpgradeWizardContext.performUpgradeReport(UpgradeWizardContext.java:218) at com.bea.workshop.upgrade81.UpgradeWizard$UpgradeReportPage$1$1.run(UpgradeWizard.java:805) at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:1797) at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:1780) at com.bea.workshop.upgrade81.UpgradeWizard$UpgradeReportPage$1.run(UpgradeWizard.java:835) at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:113)

      Need help on why com.bea.dsp.ide.upgrade.util.UpgradeHelper is throwing NullPointerException. This should be from the DSP plugin on WLW.

      Please advice?

      Regards,
      MD
        • 1. Re: Attempt to upgrade an ODSIapp from 8.1 to 10.3, but encounter fatal error
          mikereiche
          Please provide the complete stack trace including all the 'CausedBy' exceptions. Looking at the code, the only NPE that could occur at this line would have to come from within the getFolder() method.
          • 2. Re: Attempt to upgrade an ODSIapp from 8.1 to 10.3, but encounter fatal error
            user738507
            Thanks for the reply Mike,

            We are not able to get any more information.This is the only stack trace from the dsp upgrade, Do you have any suggestions for us?

            ERROR: Exception caught during upgrade of "atk_webapp"Exception caught during upgrade of "atk_webapp"
            java.lang.NullPointerException at com.bea.dsp.ide.upgrade.util.UpgradeHelper.deleteNonImportedDSPJarFolders(UpgradeHelper.java:738) at com.bea.dsp.ide.upgrade.appln.DSPAppLevelUpgrader.check(DSPAppLevelUpgrader.java:38) at com.bea.workshop.upgrade81.wizard.UpgradeWizardContext$ProjectUpgradeRequest.performUpgradeReport(UpgradeWizardContext.java:908) at com.bea.workshop.upgrade81.wizard.UpgradeWizardContext$UpgradeReportTask.run(UpgradeWizardContext.java:1474) at com.bea.workshop.upgrade81.wizard.UpgradeWizardContext.performUpgradeReport(UpgradeWizardContext.java:218) at com.bea.workshop.upgrade81.UpgradeWizard$UpgradeReportPage$1$1.run(UpgradeWizard.java:805) at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:1797) at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:1780) at com.bea.workshop.upgrade81.UpgradeWizard$UpgradeReportPage$1.run(UpgradeWizard.java:835) at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:113)
            • 3. Re: Attempt to upgrade an ODSIapp from 8.1 to 10.3, but encounter fatal error
              mikereiche
              Open an SR with Customer Support.

              You might find more info in the eclipse log file - I believe it's <workspace>/.metadata/.log
              • 4. Re: Attempt to upgrade an ODSIapp from 8.1 to 10.3, but encounter fatal error
                user738507
                Thanks Mike,

                Upon further investigation from ./metadata/.log we have seen that there is an error about a missing jar:

                !MESSAGE Failed to read the JAR file /atk_webapp/EarContent/APP-INF/lib/Snow.jar. Check the file for 8.1 controls and 8.1 WLS XMLbeans manually.

                Here is the snippet from the log file:
                ***********************************************************************************************************************************
                !ENTRY com.bea.workshop.upgrade81 0 -1 2011-01-13 09:40:45.933
                !MESSAGE Requesting upgrade report for project: atk_webapp


                !ENTRY com.bea.workshop.upgrade81 4 2 2011-01-13 09:41:07.713
                !MESSAGE Requesting upgrade report for project: atk_webapp
                !SUBENTRY 1 com.bea.workshop.upgrade81 2 1 2011-01-13 09:41:07.713
                !MESSAGE Failed to read the JAR file /atk_webapp/EarContent/APP-INF/lib/Snow.jar. Check the file for 8.1 controls and 8.1 WLS XMLbeans manually.
                !SUBENTRY 1 com.bea.workshop.upgrade81 2 1 2011-01-13 09:41:07.713
                !MESSAGE The project atk_webapp references ToolkitAdmin.jar, which contains an 8.1 WLS XMLBean, amltoolkit.search.AdhocQuery. Regenerate the JAR to use Apache XMLBeans.
                !SUBENTRY 1 com.bea.workshop.upgrade81 2 1 2011-01-13 09:41:07.713
                !MESSAGE The project atk_webapp references xbean.jar, which contains an 8.1 WLS XMLBean, com.bea.xml.FilterXmlObject. Regenerate the JAR to use Apache XMLBeans.
                !SUBENTRY 1 com.bea.workshop.upgrade81 2 1 2011-01-13 09:41:07.713
                !MESSAGE The project atk_webapp references ld-client.jar, which contains an 8.1 WLS XMLBean, com.bea.ld.annotations.AllNNI$Member. Regenerate the JAR to use Apache XMLBeans.
                !SUBENTRY 1 com.bea.workshop.upgrade81 2 1 2011-01-13 09:41:07.713
                !MESSAGE If you have Data Service Controls, those classes will need to be upgraded manually.
                !SUBENTRY 1 com.bea.workshop.upgrade81 4 2 2011-01-13 09:41:07.713
                !MESSAGE Exception caught during upgrade of "atk_webapp"
                !STACK 0
                java.lang.NullPointerException
                at com.bea.dsp.ide.upgrade.util.UpgradeHelper.deleteNonImportedDSPJarFolders(UpgradeHelper.java:738)
                at com.bea.dsp.ide.upgrade.appln.DSPAppLevelUpgrader.check(DSPAppLevelUpgrader.java:38)
                at com.bea.workshop.upgrade81.wizard.UpgradeWizardContext$ProjectUpgradeRequest.performUpgradeReport(UpgradeWizardContext.java:908)
                at com.bea.workshop.upgrade81.wizard.UpgradeWizardContext$UpgradeReportTask.run(UpgradeWizardContext.java:1474)
                at com.bea.workshop.upgrade81.wizard.UpgradeWizardContext.performUpgradeReport(UpgradeWizardContext.java:218)
                at com.bea.workshop.upgrade81.UpgradeWizard$UpgradeReportPage$1$1.run(UpgradeWizard.java:805)
                at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:1797)
                at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:1780)
                at com.bea.workshop.upgrade81.UpgradeWizard$UpgradeReportPage$1.run(UpgradeWizard.java:835)
                at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:113)
                !SUBENTRY 1 com.bea.workshop.upgrade81 1 0 2011-01-13 09:41:07.713
                !MESSAGE Security information will be migrated to application.xml
                ***********************************************************************************************************************************

                Even after adding the jar to the app, we still get an NPE
                ***********************************************************************************************************************************
                !ENTRY com.bea.workshop.upgrade81 4 2 2011-02-22 12:37:52.336
                !MESSAGE Requesting upgrade report for project: atk_webapp
                !SUBENTRY 1 com.bea.workshop.upgrade81 2 1 2011-02-22 12:37:52.336
                !MESSAGE The project atk_webapp references ToolkitAdmin.jar, which contains an 8.1 WLS XMLBean, amltoolkit.search.AdhocQuery. Regenerate the JAR to use Apache XMLBeans.
                !SUBENTRY 1 com.bea.workshop.upgrade81 2 1 2011-02-22 12:37:52.336
                !MESSAGE The project atk_webapp references xbean.jar, which contains an 8.1 WLS XMLBean, com.bea.xml.FilterXmlObject. Regenerate the JAR to use Apache XMLBeans.
                !SUBENTRY 1 com.bea.workshop.upgrade81 2 1 2011-02-22 12:37:52.336
                !MESSAGE The project atk_webapp references ld-client.jar, which contains an 8.1 WLS XMLBean, com.bea.ld.annotations.AllNNI$Member. Regenerate the JAR to use Apache XMLBeans.
                !SUBENTRY 1 com.bea.workshop.upgrade81 2 1 2011-02-22 12:37:52.336
                !MESSAGE If you have Data Service Controls, those classes will need to be upgraded manually.
                !SUBENTRY 1 com.bea.workshop.upgrade81 4 2 2011-02-22 12:37:52.336
                !MESSAGE Exception caught during upgrade of "atk_webapp"
                !STACK 0
                java.lang.NullPointerException
                at com.bea.dsp.ide.upgrade.util.UpgradeHelper.deleteNonImportedDSPJarFolders(UpgradeHelper.java:738)
                at com.bea.dsp.ide.upgrade.appln.DSPAppLevelUpgrader.check(DSPAppLevelUpgrader.java:38)
                at com.bea.workshop.upgrade81.wizard.UpgradeWizardContext$ProjectUpgradeRequest.performUpgradeReport(UpgradeWizardContext.java:908)
                at com.bea.workshop.upgrade81.wizard.UpgradeWizardContext$UpgradeReportTask.run(UpgradeWizardContext.java:1474)
                at com.bea.workshop.upgrade81.wizard.UpgradeWizardContext.performUpgradeReport(UpgradeWizardContext.java:218)
                at com.bea.workshop.upgrade81.UpgradeWizard$UpgradeReportPage$1$1.run(UpgradeWizard.java:805)
                at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:1797)
                at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:1780)
                at com.bea.workshop.upgrade81.UpgradeWizard$UpgradeReportPage$1.run(UpgradeWizard.java:835)
                at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:113)
                !SUBENTRY 1 com.bea.workshop.upgrade81 1 0 2011-02-22 12:37:52.336
                !MESSAGE Security information will be migrated to application.xml
                ***********************************************************************************************************************************

                Any advice?

                Thank you once again for your time and input.
                • 5. Re: Attempt to upgrade an ODSIapp from 8.1 to 10.3, but encounter fatal error
                  mikereiche
                  Same advice as last month - open a case with customer support. Make sure you tell them exactly what instructions you are following.